package bank;
import org.jboss.aspects.security.Permissions;
import org.jboss.aspects.security.SecurityDomain;;

@SecurityDomain ("other")
public class BankAccount 
{
   int accountNumber;
   int balance;
   
   public int getAccountNumber() {
      return accountNumber; 
   }
   
   public int getBalance() {
      return balance;
   }

   @Permissions ({"AuthorizedUser"})
   public void setAccountNumber(int accountNumber) {
   	System.out.println("*** [success] : setAccountNumber");
      this.accountNumber = accountNumber; 
   }

   @Roles(roles= {"admin"})
   public void setBalance(int balance) {
   	System.out.println("*** [success] : setBalance");
      this.balance = balance;
   }
}
